Package ej.drawing

## Enum ShapePainter.Cap

- java.lang.Object
- - java.lang.Enum<ShapePainter.Cap>
  - - ej.drawing.ShapePainter.Cap

- All Implemented Interfaces:
    `Serializable`, `Comparable<ShapePainter.Cap>`
  Enclosing class:
    ShapePainter

      public static enum ShapePainter.Cap
      extends Enum<ShapePainter.Cap>

  Defines the cap representation when drawing a line or a circle arc.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | No specific cap is drawn.
    `PERPENDICULAR` | Cap is perpendicular to the line.
    `ROUNDED` | Cap is represented by a semi circle (default configuration).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ShapePainter.Cap` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ShapePainter.Cap[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ShapePainter.Cap NONE

      No specific cap is drawn.

    - #### ROUNDED

          public static final ShapePainter.Cap ROUNDED

      Cap is represented by a semi circle (default configuration).

    - #### PERPENDICULAR

          public static final ShapePainter.Cap PERPENDICULAR

      Cap is perpendicular to the line.

  - ### Method Detail

    - #### values

          public static ShapePainter.Cap[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShapePainter.Cap c : ShapePainter.Cap.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShapePainter.Cap valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null